### Enumeration

# Ggit SubmoduleRecurse

#### Declaration

    enum Ggit.SubmoduleRecurse

#### Description [src]

Options for submodule recurse. Represents the value of `submodule.$name.fetchRecurseSubmodules`

#### Members

Name | Description
--- | ---
`GGIT_SUBMODULE_RECURSE_NO` | Do no recurse into submodules.
`GGIT_SUBMODULE_RECURSE_YES` | Recurse into submodules.
`GGIT_SUBMODULE_RECURSE_ONDEMAND` | Recurse into submodules only when commit not already in local clone.